Returns a list of targeting types available for the specified banner, filtered by the current user's permissions.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/targeting/types.do
Returns a list of targeting types available for the specified banner, filtered by the current user's permissions. Requires UPDATE permission on the banner's campaign and MANAGE_DEMAND_TARGETING user permission.
Path Params
bannerIdintegerrequired
Unique numeric ID of the banner whose available targeting types to retrieve
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/banner/7890/targeting/types.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());